import { OnInit, ElementRef } from '@angular/core';
import { BaseComponent } from '../base/base.component';
export declare class IconComponent extends BaseComponent implements OnInit {
    private el;
    element: any;
    set name(iconName: string);
    constructor(el: ElementRef);
    ngOnInit(): void;
}
